function [ret_value_fm,ret_value_s]=autoprox_have_fmincon_and_sym

% Checks, whether Matlab disposes with the symbolic and the optimization
% toolbox

% Copyright is with the following author(s):
%
% (C) 2010 Alexander Szucs, Slovak University of Technology in Bratislava
%          alexander.szucs@stuba.sk
% (C) 2010 Michal Kvasnica, Slovak University of Technology in Bratislava
%          michal.kvasnica@stuba.sk

% ---------------------------------------------------------------------------
% Legal note:
%          This program is free software; you can redistribute it and/or
%          modify it under the terms of the GNU General Public
%          License as published by the Free Software Foundation; either
%          version 2.1 of the License, or (at your option) any later version.
%
%          This program is distributed in the hope that it will be useful,
%          but WITHOUT ANY WARRANTY; without even the implied warranty of
%          MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%          General Public License for more details.
% 
%          You should have received a copy of the GNU General Public
%          License along with this library; if not, write to the 
%          Free Software Foundation, Inc., 
%          59 Temple Place, Suite 330, 
%          Boston, MA  02111-1307  USA
%
% -------------------------------------------------------------------------

if(exist('fmincon') ~= 2)
    error('Optimization toolbox is required');
    ret_value_fm = 0;
else
    ret_value_fm = 1;
end

if(exist('syms') ~= 2)
    error('Symbolic toolbox is required');
    ret_value_s = 0;
else
    ret_value_s = 1;
end


